库存报表 - 本地仓 - 历史报表 - 汇总
POST
/erp/sc/routing/inventoryLog/WareHouseReport/getLocalWareHouseSummaryList接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/inventoryLog/WareHouseReport/getLocalWareHouseSummaryList | HTTPS | POST | 1 |
请求参数
sys_widintegerstart_datestring必填end_datestring必填请求示例
{
"start_date": "2022-01-01",
"end_date": "2022-08-05",
"sys_wid": "1,5,8"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
sys_widinteger必填ware_house_namestring必填day_early_countnumber必填day_early_coststring必填purchase_in_countnumber必填purchase_in_coststring必填allocation_in_countnumber必填allocation_in_coststring必填return_goods_in_countnumber必填return_goods_in_coststring必填other_in_countnumber必填other_in_coststring必填inventory_surplus_in_countnumber必填inventory_surplus_in_coststring必填adjustment_countnumber必填adjustment_coststring必填fba_out_countnumber必填fba_out_coststring必填fbm_out_countnumber必填fbm_out_coststring必填allocation_out_countnumber必填allocation_out_coststring必填purchase_return_countnumber必填purchase_return_coststring必填other_out_countnumber必填other_out_coststring必填inventory_deficit_out_countnumber必填inventory_deficit_out_coststring必填wfs_out_countnumber必填wfs_out_coststring必填allocation_in_transit_countnumber必填allocation_in_transit_coststring必填day_end_countnumber必填day_end_coststring必填rotation_rate_countstring必填rotation_rate_coststring必填rotation_day_countstring必填rotation_day_coststring必填sales_ratio_countstring必填sales_ratio_coststring必填cost_change_coststring必填product_countnumber必填sales_ratenumber必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details":[],
"request_id": "BDF6F403-1998-7E7F-62C2-369C15FEE14D",
"response_time": "2022-12-21 18:44:54"
"total": 1,
"data": [
{
"sys_wid": 3879,
"ware_house_name": "dabing-test",
"day_early_count": 504,
"day_early_cost": "11904.61",
"purchase_in_count": 0,
"purchase_in_cost": "0.00",
"allocation_in_count": 0,
"allocation_in_cost": "0.00",
"return_goods_in_count": 0,
"return_goods_in_cost": "0.00",
"other_in_count": 0,
"other_in_cost": "0.00",
"inventory_surplus_in_count": 0,
"inventory_surplus_in_cost": "0.00",
"adjustment_count": 0,
"adjustment_cost": "0.00",
"fba_out_count": 0,
"fba_out_cost": "0.00",
"fbm_out_count": 0,
"fbm_out_cost": "0.00",
"allocation_out_count": 0,
"allocation_out_cost": "0.00",
"purchase_return_count": 0,
"purchase_return_cost": "0.00",
"other_out_count": 0,
"other_out_cost": "0.00",
"inventory_deficit_out_count": 0,
"inventory_deficit_out_cost": "0.00",
"wfs_out_count": 0,
"wfs_out_cost": "0.00",
"allocation_in_transit_count": 0,
"allocation_in_transit_cost": "0.00",
"day_end_count": 504,
"day_end_cost": "11904.61",
"rotation_rate_count": "0.0000",
"rotation_rate_cost": "0.0000",
"rotation_day_count": 0,
"rotation_day_cost": "-",
"sales_ratio_count": 0,
"sales_ratio_cost": 0,
"cost_change_cost": "0.00",
"product_count": 11,
"sales_rate": 0
}
]
}